# Interface WorkModel

模型数据

interface WorkModel {
coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
};
file?: string;
layers: readonly WorkModelLayer[];
textureBase?: string;
textures?: readonly string[];
upAxis?: string;
work: Work;
}

- Defined in lib/five/work/work.ts:128

##### Index

### Properties

coordinate?
file?
layers
textureBase?
textures?
upAxis?
work

## Properties

### `Optional` coordinate

coordinate?: {
base_keyframe: number;
base_trajectory: number;
coordinate_system: string;
ground_height: number;
lon_lat_alt: [number, number, number];
pose_ecef_to_enu: number[];
pose_enu_to_ecef: number[];
version: number;
}

模型的地理坐标数据

- Defined in lib/five/work/work.ts:140

### `Optional` file

file?: string

模型文件地址 at3d / domez

- Defined in lib/five/work/work.ts:132

### layers

layers: readonly WorkModelLayer[]

3d tile

- Defined in lib/five/work/work.ts:142

### `Optional` textureBase

textureBase?: string

模型贴图文件地址的父目录

- Defined in lib/five/work/work.ts:136

### `Optional` textures

textures?: readonly string[]

模型贴图文件地址

- Defined in lib/five/work/work.ts:134

### `Optional` upAxis

upAxis?: string

指定上方向，对于 obj， ply 等定义不明确的需要指定上方向

- Defined in lib/five/work/work.ts:138

### work

work: Work

work

- Defined in lib/five/work/work.ts:130